Обновление до новой версии


#1

Вроде все делаю правильно, но обновление не проходит.
Отключил все сторонние модули.
Жму на кнопку установить.
В файле .htaccess прописал директиву php_value max_execution_time 900
При проверке времени выполнения PHP-скрипта вылетает предупреждение:

Мы НЕ РЕКОМЕНДУЕМ выполнять обновление на вашем сервере.
На вашем сервере неподходящие настройки timeout PHP-скрипта. Возможные причины —
ограничение времени выполнения PHP-скрипта в функции set_time_limit или в
параметре “Timeout” интерфейса FastCGI. Мы рекомендуем связаться с вашим
хостинг-провайдером, чтобы настроить сервер или с нашей командой технической
поддержки, чтобы они выполнили обновление вашего магазина

Хотя вроде как странно, поскольку прописано php_value max_execution_time 900

Закрыл на это глаза, нажал на установить.
Очень долго ждал и смотрел на экран где написано обработка. В итоге уже не сдержался начал проверять сайт.
В итоге сайт закрыт, как это и описано в инструкции по обновлению. Резервная копия так же создалась в папке var/backups
На этом все, никаких email-ов не пришло.
Зашел с новой вкладки в админ панел в итоге как вижу ничего не обновилось.
Мучает вопрос, как же обновиться? )
Обычно по опыту должно быть 2 исхода событий либо обновление прошло успешно и все рады, либо ошибка и все начинается сначала, но у меня вот ни туда ни сюда.


#2

Что записано в /var/upgrade/core_log.txt ?


#3

2019-02-23 05:41:29: Downloading “core” upgrade package
2019-02-23 05:42:29: Не получается загрузить дистрибутив обновления
2019-02-23 05:43:01: Downloading “core” upgrade package
2019-02-23 05:43:17: Upgrade package has been downloaded and ready to install

################################################################################
################################################################################
2019-02-23 06:30:41: Starting installation of the “core” upgrade package
2019-02-23 06:30:41: Upgrading version 4.9.2.SP4 to 4.9.3
2019-02-23 06:30:41: Running as user “webstyliru”
2019-02-23 06:30:41: Storing entry point files permissions…
2019-02-23 06:30:41: index.php ==> 33188 (-rw-r–r--)
2019-02-23 06:30:41: x_admin_beat.php ==> 33188 (-rw-r–r--)
2019-02-23 06:30:41: api.php ==> 33188 (-rw-r–r--)
2019-02-23 06:30:41: ==> 16877 (drwxr-xr-x)
2019-02-23 06:30:41: Executing pre-upgrade validators
2019-02-23 06:30:41: Found 0 validators at package
2019-02-23 06:30:41: Executing “collisions” validator
2019-02-23 06:30:41: Executing “permissions” validator
2019-02-23 06:30:42: Executing “restore” validator
2019-02-23 06:30:42: Backup filename is “upg_core_4.9.2.SP4-4.9.3_23Feb2019_063041”
2019-02-23 06:30:42: Preparing restore script
2019-02-23 06:30:42: Upgrades directory permissions: drwxr-xr-x webstyliru:customers
2019-02-23 06:30:42: Source restore script permissions: -rw-r–r-- webstyliru:customers
2019-02-23 06:30:42: Created directory for restore script at “/home/w/webstyliru/cs/public_html/upgrades/core_4.9.2.SP4-4.9.3/”
2019-02-23 06:30:42: Directory permissions: drwxr-xr-x webstyliru:customers
2019-02-23 06:30:42: Created restore script at “/home/w/webstyliru/cs/public_html/upgrades/core_4.9.2.SP4-4.9.3/restore_2019-02-23_06-30-41.php”
2019-02-23 06:30:42: Restore script permissions: -rw-r–r-- webstyliru:customers
2019-02-23 06:30:42: Correcting target restore script directory permissions…
2019-02-23 06:30:42: ----------
2019-02-23 06:30:42: Changing permissions of “/home/w/webstyliru/cs/public_html/upgrades/core_4.9.2.SP4-4.9.3/” to 755
2019-02-23 06:30:42: Using chmod()… OK
2019-02-23 06:30:42: ----------
2019-02-23 06:30:42: Target restore script directory permissions: drwxr-xr-x webstyliru:customers
2019-02-23 06:30:42: Correcting upgrades directory permissions…
2019-02-23 06:30:42: ----------
2019-02-23 06:30:42: Changing permissions of “/home/w/webstyliru/cs/public_html/upgrades” to 755
2019-02-23 06:30:42: Using chmod()… OK
2019-02-23 06:30:42: ----------
2019-02-23 06:30:42: Upgrades directory permissions: drwxr-xr-x webstyliru:customers
2019-02-23 06:30:42: Checking restore script availability via HTTP
2019-02-23 06:30:42: Executing pre-upgrade script “/home/w/webstyliru/cs/public_html/var/upgrade/packages/core/content/scripts/pre_script.php”
2019-02-23 06:30:43: Pre-upgrade script executed successfully
2019-02-23 06:30:43: Closing storefront
2019-02-23 06:30:43: Backing up files and database
2019-02-23 06:30:43: mysqldump is not available
2019-02-23 06:31:39: Backup created at “/home/w/webstyliru/cs/public_html/var/backups/upg_core_4.9.2.SP4-4.9.3_23Feb2019_063041.zip”
2019-02-23 06:31:39: Sending upgrade information e-mail to: info@beatstreetshop.ru

################################################################################
################################################################################
2019-02-23 06:42:31: Starting installation of the “core” upgrade package
2019-02-23 06:42:31: Upgrading version 4.9.2.SP4 to 4.9.3
2019-02-23 06:42:31: Running as user “webstyliru”
2019-02-23 06:42:31: Storing entry point files permissions…
2019-02-23 06:42:31: index.php ==> 33188 (-rw-r–r--)
2019-02-23 06:42:31: x_admin_beat.php ==> 33188 (-rw-r–r--)
2019-02-23 06:42:31: api.php ==> 33188 (-rw-r–r--)
2019-02-23 06:42:31: ==> 16877 (drwxr-xr-x)
2019-02-23 06:42:31: Executing pre-upgrade validators
2019-02-23 06:42:31: Found 0 validators at package
2019-02-23 06:42:31: Executing “collisions” validator
2019-02-23 06:42:31: Executing “permissions” validator
2019-02-23 06:42:31: Executing “restore” validator
2019-02-23 06:42:31: Backup filename is “upg_core_4.9.2.SP4-4.9.3_23Feb2019_064231”
2019-02-23 06:42:31: Preparing restore script
2019-02-23 06:42:31: Upgrades directory permissions: drwxr-xr-x webstyliru:customers
2019-02-23 06:42:31: Source restore script permissions: -rw-r–r-- webstyliru:customers
2019-02-23 06:42:31: Directory “/home/w/webstyliru/cs/public_html/upgrades/core_4.9.2.SP4-4.9.3/” for restore script already created
2019-02-23 06:42:31: Created restore script at “/home/w/webstyliru/cs/public_html/upgrades/core_4.9.2.SP4-4.9.3/restore_2019-02-23_06-42-31.php”
2019-02-23 06:42:31: Restore script permissions: -rw-r–r-- webstyliru:customers
2019-02-23 06:42:31: Correcting target restore script directory permissions…
2019-02-23 06:42:31: ----------
2019-02-23 06:42:31: Changing permissions of “/home/w/webstyliru/cs/public_html/upgrades/core_4.9.2.SP4-4.9.3/” to 755
2019-02-23 06:42:31: Using chmod()… OK
2019-02-23 06:42:31: ----------
2019-02-23 06:42:31: Target restore script directory permissions: drwxr-xr-x webstyliru:customers
2019-02-23 06:42:31: Correcting upgrades directory permissions…
2019-02-23 06:42:31: ----------
2019-02-23 06:42:31: Changing permissions of “/home/w/webstyliru/cs/public_html/upgrades” to 755
2019-02-23 06:42:31: Using chmod()… OK
2019-02-23 06:42:31: ----------
2019-02-23 06:42:31: Upgrades directory permissions: drwxr-xr-x webstyliru:customers
2019-02-23 06:42:31: Checking restore script availability via HTTP
2019-02-23 06:42:32: Executing pre-upgrade script “/home/w/webstyliru/cs/public_html/var/upgrade/packages/core/content/scripts/pre_script.php”
2019-02-23 06:42:33: Pre-upgrade script executed successfully
2019-02-23 06:42:33: Closing storefront
2019-02-23 06:42:33: Backing up files and database
2019-02-23 06:42:33: mysqldump is not available

################################################################################
################################################################################
2019-02-23 07:21:58: Starting installation of the “core” upgrade package
2019-02-23 07:21:58: Upgrading version 4.9.2.SP4 to 4.9.3
2019-02-23 07:21:58: Running as user “webstyliru”
2019-02-23 07:21:58: Storing entry point files permissions…
2019-02-23 07:21:58: index.php ==> 33188 (-rw-r–r--)
2019-02-23 07:21:58: x_admin_beat.php ==> 33188 (-rw-r–r--)
2019-02-23 07:21:58: api.php ==> 33188 (-rw-r–r--)
2019-02-23 07:21:58: ==> 16877 (drwxr-xr-x)
2019-02-23 07:21:58: Executing pre-upgrade validators
2019-02-23 07:21:58: Found 0 validators at package
2019-02-23 07:21:58: Executing “collisions” validator
2019-02-23 07:21:59: Executing “permissions” validator
2019-02-23 07:21:59: Executing “restore” validator
2019-02-23 07:21:59: Backup filename is “upg_core_4.9.2.SP4-4.9.3_23Feb2019_072158”
2019-02-23 07:21:59: Preparing restore script
2019-02-23 07:21:59: Upgrades directory permissions: drwxr-xr-x webstyliru:customers
2019-02-23 07:21:59: Source restore script permissions: -rw-r–r-- webstyliru:customers
2019-02-23 07:21:59: Directory “/home/w/webstyliru/cs/public_html/upgrades/core_4.9.2.SP4-4.9.3/” for restore script already created
2019-02-23 07:21:59: Created restore script at “/home/w/webstyliru/cs/public_html/upgrades/core_4.9.2.SP4-4.9.3/restore_2019-02-23_07-21-58.php”
2019-02-23 07:21:59: Restore script permissions: -rw-r–r-- webstyliru:customers
2019-02-23 07:21:59: Correcting target restore script directory permissions…
2019-02-23 07:21:59: ----------
2019-02-23 07:21:59: Changing permissions of “/home/w/webstyliru/cs/public_html/upgrades/core_4.9.2.SP4-4.9.3/” to 755
2019-02-23 07:21:59: Using chmod()… OK
2019-02-23 07:21:59: ----------
2019-02-23 07:21:59: Target restore script directory permissions: drwxr-xr-x webstyliru:customers
2019-02-23 07:21:59: Correcting upgrades directory permissions…
2019-02-23 07:21:59: ----------
2019-02-23 07:21:59: Changing permissions of “/home/w/webstyliru/cs/public_html/upgrades” to 755
2019-02-23 07:21:59: Using chmod()… OK
2019-02-23 07:21:59: ----------
2019-02-23 07:21:59: Upgrades directory permissions: drwxr-xr-x webstyliru:customers
2019-02-23 07:21:59: Checking restore script availability via HTTP
2019-02-23 07:22:00: Executing pre-upgrade script “/home/w/webstyliru/cs/public_html/var/upgrade/packages/core/content/scripts/pre_script.php”
2019-02-23 07:22:00: Pre-upgrade script executed successfully
2019-02-23 07:22:00: Closing storefront
2019-02-23 07:22:00: Backing up files and database
2019-02-23 07:22:00: mysqldump is not available

################################################################################
################################################################################
2019-02-23 10:17:48: Starting installation of the “core” upgrade package
2019-02-23 10:17:48: Upgrading version 4.9.2.SP4 to 4.9.3
2019-02-23 10:17:48: Running as user “webstyliru”
2019-02-23 10:17:48: Storing entry point files permissions…
2019-02-23 10:17:48: index.php ==> 33188 (-rw-r–r--)
2019-02-23 10:17:48: x_admin_beat.php ==> 33188 (-rw-r–r--)
2019-02-23 10:17:48: api.php ==> 33188 (-rw-r–r--)
2019-02-23 10:17:48: ==> 16877 (drwxr-xr-x)
2019-02-23 10:17:48: Executing pre-upgrade validators
2019-02-23 10:17:48: Found 0 validators at package
2019-02-23 10:17:48: Executing “collisions” validator
2019-02-23 10:17:56: Executing “permissions” validator
2019-02-23 10:17:56: Executing “restore” validator
2019-02-23 10:17:56: Backup filename is “upg_core_4.9.2.SP4-4.9.3_23Feb2019_101748”
2019-02-23 10:17:56: Preparing restore script
2019-02-23 10:17:56: Upgrades directory permissions: drwxr-xr-x webstyliru:customers
2019-02-23 10:17:56: Source restore script permissions: -rw-r–r-- webstyliru:customers
2019-02-23 10:17:56: Directory “/home/w/webstyliru/cs/public_html/upgrades/core_4.9.2.SP4-4.9.3/” for restore script already created
2019-02-23 10:17:56: Created restore script at “/home/w/webstyliru/cs/public_html/upgrades/core_4.9.2.SP4-4.9.3/restore_2019-02-23_10-17-48.php”
2019-02-23 10:17:56: Restore script permissions: -rw-r–r-- webstyliru:customers
2019-02-23 10:17:56: Correcting target restore script directory permissions…
2019-02-23 10:17:56: ----------
2019-02-23 10:17:56: Changing permissions of “/home/w/webstyliru/cs/public_html/upgrades/core_4.9.2.SP4-4.9.3/” to 755
2019-02-23 10:17:56: Using chmod()… OK
2019-02-23 10:17:56: ----------
2019-02-23 10:17:56: Target restore script directory permissions: drwxr-xr-x webstyliru:customers
2019-02-23 10:17:56: Correcting upgrades directory permissions…
2019-02-23 10:17:56: ----------
2019-02-23 10:17:56: Changing permissions of “/home/w/webstyliru/cs/public_html/upgrades” to 755
2019-02-23 10:17:56: Using chmod()… OK
2019-02-23 10:17:56: ----------
2019-02-23 10:17:56: Upgrades directory permissions: drwxr-xr-x webstyliru:customers
2019-02-23 10:17:56: Checking restore script availability via HTTP
2019-02-23 10:17:56: Executing pre-upgrade script “/home/w/webstyliru/cs/public_html/var/upgrade/packages/core/content/scripts/pre_script.php”
2019-02-23 10:17:57: Pre-upgrade script executed successfully
2019-02-23 10:17:57: Closing storefront
2019-02-23 10:17:57: Backing up files and database
2019-02-23 10:17:57: mysqldump is not available


#4

У вас хостинг? У вас закрыт mysqldump, надо обратиться к хостеру, почему? Зачем? Как вариант: Сами через консоль сделайте архив файловой системы, а через phpmyadmin - скачайте бэкап базы данных. А при установке обновления - снимите галочку “создать резервную копию”. У вас вылетает на попытке именно создать бэкап БД. И как результат, процесс останавливается на этапе подготовки.


#5

Без резервной копии все прошло быстро и без сбоев.
Но как только я Включите режим разработчика с помощью файла local_conf.php
то у меня в админке появилось куча ошибок, до этого я их соответственно не видел.

может подскажет кто откуда они

PHP Warning
Message
preg_match_all(): Compilation failed: invalid range in character class at offset 30
Error at
app/functions/smarty_plugins/modifier.empty_tabs.php, line: 21
Backtrace
File: app/functions/smarty_plugins/modifier.empty_tabs.php
Line: 21
Function: {closure}
File: app/lib/vendor/smarty/smarty/libs/sysplugins/smarty_internal_templatebase.php(157) : eval()'d code
Line: 46
Function: smarty_modifier_empty_tabs
File: app/lib/vendor/smarty/smarty/libs/sysplugins/smarty_internal_templatebase.php
Line: 188
Function: content_5c711208339166_10961844
File: app/lib/vendor/smarty/smarty/libs/sysplugins/smarty_internal_template.php
Line: 304
Function: fetch
File: app/lib/vendor/smarty/smarty/libs/sysplugins/smarty_internal_templatebase.php(157) : eval()'d code
Line: 294
Function: getSubTemplate
File: app/lib/vendor/smarty/smarty/libs/sysplugins/smarty_internal_templatebase.php
Line: 188
Function: content_5c7112082af5a2_60422419
File: app/lib/vendor/smarty/smarty/libs/sysplugins/smarty_internal_template.php
Line: 304
Function: fetch
File: app/lib/vendor/smarty/smarty/libs/sysplugins/smarty_internal_templatebase.php(157) : eval()'d code
Line: 93
Function: getSubTemplate
File: app/lib/vendor/smarty/smarty/libs/sysplugins/smarty_internal_templatebase.php
Line: 188
Function: content_5c711207a574a4_88331581
File: app/Tygh/SmartyEngine/Core.php
Line: 76
Function: fetch
File: app/functions/fn.control.php
Line: 585
Function: fetch
File: x_admin_beat.php
Line: 27
Function: fn_dispatch


#6

У Вас первый раз вроде все прошло нормально… Так что сейчас должна быть версия 4.9.3 установлена.

Попробуйте в следующий раз отключить все модули третьих лиц - хотя лично у меня обновление зависло именно когда я отключил эти модули, а раньше проходило на ура. И вообще что за SP1 из-за одного только слова, none, которое надо поменять на auto для того, чтобы на мобильнике баннер крутился вверх и вниз… Могли бы предложить патч


#7

Первый раз обновляюсь просто на этом движке, приобрел пару недель назад. После первого раза я как бы заметил изменения в админке, но обновление в центре обновлений так и висело, поэтому подумал что не обновился вовсе. Сейчас какие то вот ошибки невиданные прежде появились )
В инструкции написано проверить на работоспособность магазин но при выключенных сторонних модулях магазин вовсе не работает ))
Чет я вообще расстроен в этом cs cart


#8

интересно, только у меня у одного куча вопросов по обновлению ) на форуме практически ничего не могу найти.

Сейчас заметил что обновление встало как надо, но вот по внешнему виду ничего не изменилось, хотя здесь в видео значительные изменения https://www.youtube.com/watch?v=HQ90_gfJJno
и при попытке оформить заказ способы доставки перестали отображаться. До обновления все работало как часы.


#9

По-поводу видео – там показываются будущие изменения, которые войдут в 4.10.1, поэтому внешне ничего не изменилось.


#10

спасибо, посмотрел еще раз видео повнимательнее, увидел.
Теперь осталось разобраться почему не отображаются способы доставки )


#11

Отвалились полностью все способы доставки?


#12

да, было настроено почта России, СДЭК и пункт самовывоза магазин в определенном городе. Теперь отображается толко пункт самовывоза если выбрать этот город.
В админке все без изменений


#13

Попробуйте кэш почистить и проверить работу с другого браузера или режима “инкогнито” в google chrome.


#14

Спасибо, решил проблему. По какой то причине во всех товарах вес изменился и он стал очень большим для этих способов доставки. Вес везде поменял и все стало работать


#15

Добрый день!
Столкнулся с той-же проблемой при обновлении с 4.9.2.SP4 на 4.9.3.
в файле …/var/upgrade/core_log.txt тоже самое, что у автора топика “mysqldump is not available”
Насколько я понял автор темы обновился, сняв галочку “создавать резервную копию”
Раньше при обновлении с предыдущих версий у меня была эта галочка, а сейчас нет.
В итоге обновиться не могу.
Подскажите, пожалуйста, что делать?


#16

Скорее всего, выключен режим разработчика, если галочка не появляется.

Посмотрите тут пункт 2.6

https://www.cs-cart.ru/docs/4.9.x/upgrade/upgrade_process.html


#17

Спасибо, ecomlabs! Получилось обновиться


#18

Рад был помочь


#19

не могу обновиться с версии 4.9.3 SP1 на 4.10.1

тоже самое выдает:
2019-06-16 12:08:07: Pre-upgrade script executed successfully
2019-06-16 12:08:07: Closing storefront
2019-06-16 12:08:07: Backing up files and database
2019-06-16 12:08:07: mysqldump is not available

Включил режим разработчика, проблема не решилась и галочки нет такой пропустить бэкап.

Что делать?


#20

А обычный бэкап можете в админке сделать?